Subject: RE: [SIP] Re: Tunneling with SIP

From: "Fox, Mike" <[email-masked]>
Date: Wed, 12 Jul 2000 10:31:16 -0700

Perhaps it would be more suitable to initiate a SOAP conversation or session
using SIP/SDP?

Mike
> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Tuesday, July 11, 2000 8:50 PM
> To: Fox, Mike
> Cc: [email-masked]
> Subject: [SIP] Re: Tunneling with SIP
> 
> 
> 
> 
> "Fox, Mike" wrote:
> > 
> > Jonathan Rosenberg wrote:
> > > I would not advocate tunneling DHCP over SIP, HTTP over SIP,
> > > or SLP over
> > > SIP, since those protocols
> > > don't do the same thing SIP does. Same with megaco/mgcp.
> > > Tunneling them
> > > over SIP serves no purpose. SIP is not a good transfer
> > > protocol (see the
> > > Guidelines for Authors of SIP Extensions:
> > > http://search.ietf.org/internet-drafts/draft-rosenberg-sip-gui
> > >delines-00.txt).
> > >Just use the native transport define by the protocol.
> > 
> > Perhaps it would be too simple an extrapolation to conclude 
> that you are not
> > in favor of ...
> > http://www.ietf.org/internet-drafts/draft-deason-sip-soap-00.txt
> > 
> > Could you share your opinion? (I would mine, but few care 
> about it! ;-)
> 
> I do not believe that SIP is a useful RPC mechanism. None of its user
> discovery and registration capabilities are needed for RPC, neither
> are most of its proxy functions. As it is not an ideal transfer
> protocol, it is not good at carrying serialized objects of any large
> size.
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg                       72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip